Skip to main content

Create Form Submission

POST /public/action/formSubmissions/create

Submits a lead / discovery form by name, creating a pipeline entry.

Authentication: X-API-KEY header (see Authentication).

Request body

FieldTypeDescription
formNamestringName of the form being submitted.
firstName / lastNamestringSubmitter name.
email / phonestringContact details.
role / businessName / websitestringCompany details.
address1 / address2 / city / locality / postal / countrystringAddress fields.
sourceUrl / leadSourcestringAttribution.
pipelineStageNamestringPipeline stage to place the lead in.
taxIdstringTax identifier.
notesstringNotes.
answersAnswer[]Structured question/answer pairs.

Request

curl -X POST https://api.withmoxie.com/public/action/formSubmissions/create \
-H "X-API-KEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"formName": "Contact Us", "firstName": "Jane", "lastName": "Doe", "email": "jane@acme.example", "businessName": "Acme Kft."}'

Response

Returns the created FormSubmission.

{
"id": "66b0f8a0c3a9e40012ab7800",
"accountId": 10016,
"clientId": "66b0f2a1c3a9e40012ab34cd",
"formName": "Contact Us",
"submittedAt": "2026-07-14T10:05:00Z",
"formData": {
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@acme.example",
"businessName": "Acme Kft."
},
"notes": null,
"opportunityId": null
}